# ipe::Base64Stream Class Reference
Ipe Utilities

Filter stream adding Base64 encoding. More...

`#include <ipeutils.h>`

Inherits ipe::Stream.

List of all members.

## Public Member Functions

- Base64Stream (Stream &stream)
- virtual void putChar (char ch)
- virtual void close ()

## Detailed Description

Filter stream adding Base64 encoding.

## Constructor & Destructor Documentation

Base64Stream::Base64Stream | ( | Stream & | stream | ) |

## Member Function Documentation

void Base64Stream::putChar | ( | char | ch | ) | `[virtual]`

Output character.

Implements ipe::Stream.

void Base64Stream::close | ( |  | ) | `[virtual]`

Close the stream. No more writing allowed!

Reimplemented from ipe::Stream.

The documentation for this class was generated from the following files:

- ipeutils.h
- ipeutils.cpp